
ctools - Bug #1497

tsmerge.py does not properly read a file list from file

07/01/2015 12:34 PM - Mayer Michael

Status: Closed Start date: 07/01/2015

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

I used the following code to extract filenames from an ascii file:

f = open(filename)

files = f.readlines()

That, however, results in having the string "\n" at the end of each file which prevents tsmerge.py from finding the file.

The code should be replaced by

f = open(filename)

files = f.read().splitlines()

History

#1 - 07/01/2015 12:36 PM - Mayer Michael

- Status changed from New to Pull request

Available on branch 1497-fix-tsmerge-when-reading-ascii-file

#2 - 07/02/2015 06:16 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 0 to 100

Merged into devel
